format = string.format

function love.load()
   -- called only at the start
   x0,y0 = 400,300
   x1,y1 = x0,y0
   hasfocus=false
   date=''
   font = love.graphics.newFont("comicbd.ttf", 30 )
   red = {255,0,0}
   green = {0,255,0}
   blue = {0,0,255}
   black = {0,0,0}
   love.graphics.setFont(font)
end

function love.update(dt)
   -- called many times per second
   date = os.date()
   end

function love.keypressed(key,unicode)
    love.graphics.setColor(red)
    end

function love.keyreleased(key)
    love.graphics.setColor(green)
    end

function love.mousepressed(x,y,button)
    x0, y0 = x, y
end

function love.mousereleased(x,y,button)
    x1, y1 = x,y
end

function love.draw()
    -- everything you need to have drawn must go in here
    -- the idea is, compute the stuff elsewhere but draw it here
    love.graphics.print(date, 200, 100)
    love.graphics.print(format('(%i,%i)',x0,y0),100,500)
    love.graphics.print(format('(%i,%i)',x1,y1),500,500)
end

function love.focus(f)
    -- called whenever the focus changes
    if f then love.graphics.setBackgroundColor(blue)
    else love.graphics.setBackgroundColor(black)
    end
end

function love.quit()
    love.timer.sleep(5000)
    end

